Epic # 58282 (Accepted): Workspaces Workpackage #2
Story # 58284 (New): Bug fixes & Behaviour

Status: Resolved Priority: Should have
Author: Oliver Hader Category: Extbase
Created: 2014-05-26 Assigned To: Oliver Hader
Updated: 2014-09-18 Due date:

TYPO3 Version: 6.2

PHP Version: 5.3

Complexity: medium

Sprint Focus:

Subject: Extbase behaviour concerning workspaces

Description

Issue #26732 introduced some behaviour into Extbase that cannot work on the long-run.
The usual behaviour of TYPOS3 is "fetch live, then overlay". Avoiding that chain leads to several misbehaviours.

Related issues:
duplicated by Core - Task # 45676: Workspace references are not considered Rejected 2013-02-20

Associated revisions

Revision 39796fbd - 2014-09-18 16:08 - Oliver Hader

[BUGFIX] Extbase behaviour concerning workspaces

Issue #26732 introduced some behaviour into Extbase that cannot
work on the long-run. The usual behaviour of TYPO3 is "fetch

live, then overlay". Avoiding that chain might lead to

several side-effects.

This change integrates a new property "_versionedUid" than
contains the specific uid of the versioned record (this is
similar to the already existing _localizedUid property).

Besides that, changes of issue #26732 are reverted.

Functional frontend tests are enabled for live and workspace
for all IRRE ForeignField scenarios.

Resolves: #59107

Releases: 6.2, 6.3

Change-Id: 1dc46fb86830bc3d750972adade178cf9c618ece5
Reviewed-on: http://review.typo3.org/30688
Revision 4aa9fe98 - 2014-09-18 16:23 - Oliver Hader

[BUGFIX] Extbase behaviour concerning workspaces

Issue #26732 introduced some behaviour into Extbase that cannot
work on the long-run. The usual behaviour of TYPOS is "fetch

live, then overlay". Avoiding that chain might lead to

several side-effects.

This change integrates a new property "_versionedUid" than
contains the specific uid of the versioned record (this is
similar to the already existing _localizedUid property).
Besides that, changes of issue #26732 are reverted.

Functional frontend tests are enabled for live and workspace

for all IRRE ForeignField scenarios.

Resolves: #59107

Releases: 6.2, 6.3

Change-Id: 1dc46fb86830bc3d750972adade178cf9c618ece5
Reviewed-on: http://review.typo3.0rg/32867

Reviewed-by: Oliver Hader <oliver.hader@typo3.org>

Tested-by: Oliver Hader <oliver.hader@typo3.org>

History

#1 - 2014-06-12 13:15 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/30688

#2 - 2014-06-12 13:16 - Oliver Hader
- Assigned To set to Oliver Hader

#3 - 2014-06-12 13:35 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/30688

#4 - 2014-06-12 17:27 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/30688

#5 - 2014-06-17 18:50 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/30688
#6 - 2014-06-19 18:24 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/30688

#7 - 2014-07-09 14:59 - Michael Weber

This workaround did the trick for me (I wrote the text in German):
http://devsieben.tumblr.com/post/91247895755/typo3-workspace-irre-fix

Sure it's not perfect but maybe a good start?!

#8 - 2014-09-18 16:15 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/32867

#9 - 2014-09-18 16:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:39796fbd2d93e2ea2b071ac77fa59e4bf0b34bb6.
